Bug 24953 - Minor corrections to hold ratios report sidebar
Summary: Minor corrections to hold ratios report sidebar
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24907
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-23 12:15 UTC by Owen Leonard
Modified: 2020-04-03 21:45 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24953: Minor corrections to hold ratios report sidebar (2.93 KB, patch)
2020-03-23 12:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24953: Minor corrections to hold ratios report sidebar (2.93 KB, patch)
2020-03-23 15:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-03-23 12:15:51 UTC
Addressing this comment from Bug 24907:

(In reply to Katrin Fischer from comment #4)

> Wondering if on a separate report we could reformat the checkboxes:
> [checkbox] Text
> 
> And maybe:
> Include instead of included?
Comment 1 Owen Leonard 2020-03-23 12:35:47 UTC
Created attachment 101435 [details] [review]
Bug 24953: Minor corrections to hold ratios report sidebar

This patch makes some minor corrections to the sidebar form on the hold
ratios report page:

 - Correct markup errors
 - Change the text of labels from "included" to "include"
 - Move checkboxes to the left of labels

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - Go to Circulation -> Hold ratios
 - In the sidebar, confirm that the labels "Include ordered" and
   "Include suspended" appear to the right of their associated
   checkboxes.
 - Validate the source of the page. There should be no errors.
Comment 2 Katrin Fischer 2020-03-23 15:02:07 UTC
Created attachment 101455 [details] [review]
Bug 24953: Minor corrections to hold ratios report sidebar

This patch makes some minor corrections to the sidebar form on the hold
ratios report page:

 - Correct markup errors
 - Change the text of labels from "included" to "include"
 - Move checkboxes to the left of labels

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client)

 - Go to Circulation -> Hold ratios
 - In the sidebar, confirm that the labels "Include ordered" and
   "Include suspended" appear to the right of their associated
   checkboxes.
 - Validate the source of the page. There should be no errors.
Comment 3 Katrin Fischer 2020-03-23 15:04:47 UTC
Treating this as a follow-up for bug 24907 - thx Owen!


Btw... the filters on the funds page look a bit ill-formatted too ;)
http://localhost:8081/cgi-bin/koha/admin/aqbudgets.pl
Comment 4 Martin Renvoize 2020-03-24 11:05:33 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-03 21:45:52 UTC
enhancement not backported to 19.11.x